# pylint: disable=multiple-statements,wrong-import-position,wrong-import-order
from gevent.monkey import patch_all; patch_all()
from gevent.pywsgi import WSGIServer

from .app import Application
from .routes import routes
from .routes.requests import routes_requests
from .config import ServerSettings

APP = Application.get_instance()
app, api = APP.app, APP.api
api.register_blueprint(routes)
api.register_blueprint(routes_requests)

HOSTNAME = ServerSettings.HOSTNAME
PORT = ServerSettings.PORT

if __name__ == '__main__':
    http_Server = WSGIServer((HOSTNAME, PORT), app)
    try:
        print(f"Server available on http://{HOSTNAME}:{PORT}/")
        print(f"View docs on http://{HOSTNAME}:{PORT}/swagger")
        http_Server.serve_forever()
    except KeyboardInterrupt:
        print("Keyboard interrupt received, stopping...")
