# pylint: disable=too-few-public-methods
from pathlib import Path

class ServerSettings:
    HOSTNAME = "localhost"
    PORT = 5000

class DatabaseSettings:
    DATABASE_DIRECTORY = Path(__file__).parents[1] / "database" / "storage"

class APISettings:
    API_TITLE = "Support Organizer"
    API_VERSION = "0.1.0-a1"
    OPENAPI_VERSION = "3.1.0"

    # openapi.json settings
    OPENAPI_URL_PREFIX = "/"
    OPENAPI_JSON_PATH = "openapi.json"

    # swagger settings
    OPENAPI_SWAGGER_UI_PATH = "/swagger"
    OPENAPI_SWAGGER_UI_URL = "https://cdn.jsdelivr.net/npm/swagger-ui-dist@5.10.0/"
    SWAGGER_UI_DOC_EXPANSION = "list"

    # redoc settings
    OPENAPI_REDOC_PATH = "/redoc"
    OPENAPI_REDOC_URL = "https://cdn.jsdelivr.net/npm/redoc@next/bundles/redoc.standalone.js"

    # Info settings
    API_SPEC_OPTIONS = {
        'info': {
            'description': 'Support Organizer for FGO'
        }
    }
    FILE_SAVE_DIRECTORY = Path(__file__).parents[1] / ".temp"
