from flask import redirect, url_for
from flask.views import MethodView

from ..models.interface import OpenAPIGet
from . import routes as blp

@blp.route("/openapi")
class ApiVersion(MethodView):
    @blp.doc(summary="Get the OpenAPI spec as a JSON.")
    @blp.response(200, OpenAPIGet, description="Successful operation")
    def get(self):
        return redirect(url_for('api-docs.openapi_json'))
