from flask.views import MethodView

from ..config import APISettings
from ..models.interface import ApiVersionGet
from . import routes as blp

@blp.route("/version")
class ApiVersion(MethodView):
    @blp.doc(summary="Get the REST interface version identification.")
    @blp.response(200, ApiVersionGet, description="Successful operation")
    def get(self):
        return { "version": APISettings.API_VERSION }
